package com.bytedance.crash;

public enum CrashType {
    LAUNCH("launch"),
    JAVA("java"),
    NATIVE("native"),
    ASAN("asan"),
    TSAN("tsan"),
    ANR("anr"),
    BLOCK("block"),
    ENSURE("ensure"),
    DART("dart"),
    GAME("game"),
    CUSTOM_JAVA("custom_java"),
    OOM("oom"),
    ALL("all");
    
    public final String mName;

    public final String getName() {
        return this.mName;
    }

    public final String toString() {
        return getName();
    }

    /* access modifiers changed from: public */
    CrashType(String str) {
        this.mName = str;
    }
}
